#
# spec file for package python2-duckduckgo2
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-duckduckgo2
Version:        0.242
Release:        lp150.1.1
License:        BSD-3-Clause
Summary:        Library for querying the DuckDuckGo API
Url:            http://github.com/crazedpsyc/python-duckduckgo/
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/d/duckduckgo2/duckduckgo2-%{version}.tar.gz
Patch0:         add-python3-support.patch
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildArch:      noarch
%python_subpackages

%description
A Python library for querying the DuckDuckGo API.

%prep
%setup -q -n duckduckgo2-%{version}
%patch0 -p1

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%defattr(-,root,root,-)
%doc README.rst
%license LICENSE
%python3_only %{_bindir}/ddg
%{python_sitelib}/*

%changelog
* Sun Mar  4 2018 alarrosa@suse.com
- Add patch to add support for python3 and make it use singlespec macros
  to generate python2 and python3 packages.
  * add-python3-support.patch
* Thu Nov 16 2017 alarrosa@suse.com
- Initial release of python-duckduckgo2 0.242
